Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance
Public Enum eAccountSum
    e1_4 = 0
    e5_9 = 1
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class TrialBalanceSum
    Inherits BaseObject
    Private _TrialBalanceHeader As TrialBalanceHeader
    Private _AccountSum As eAccountSum
    Private _RowIndex As Long 'Sor index 
    Private _AccountNumber As String
    Private _ShortName As String
    Private _CustomersFrom As CustomersFrom
    Private _BallanceHUFOpen As Double
    Private _BallanceHUF As Double
    Private _DebitAmountHUF As Double
    Private _CreditAmountHUF As Double
    Private _BallanceHUFClose As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("TrialBalanceHeader-TrialBalanceSum", GetType(TrialBalanceHeader))> _
    Property TrialBalanceHeader() As TrialBalanceHeader
        Get
            Return _TrialBalanceHeader
        End Get
        Set(ByVal value As TrialBalanceHeader)
            SetPropertyValue("TrialBalanceHeader", _TrialBalanceHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property AccountSum As eAccountSum
        Get
            Return _AccountSum
        End Get
        Set(value As eAccountSum)
            SetPropertyValue("AccountSum", _AccountSum, value)
        End Set
    End Property
    Property AccountNumber() As String
        Get
            Return _AccountNumber
        End Get
        Set(ByVal value As String)
            SetPropertyValue("AccountNumber", _AccountNumber, value)
        End Set
    End Property
    <Size(255)> _
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property CustomersForm() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersForm", _CustomersFrom, value)
        End Set
    End Property
    Property BallanceHUFOpen As Double
        Get
            Return _BallanceHUFOpen
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUFOpen", _BallanceHUFOpen, value)
        End Set
    End Property
    Property DebitAmountHUF As Double
        Get
            Return _DebitAmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DebitAmountHUF", _DebitAmountHUF, value)
        End Set
    End Property
    Property CreditAmountHUF As Double
        Get
            Return _CreditAmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CreditAmountHUF", _CreditAmountHUF, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceHUFClose As Double
        Get
            Return _BallanceHUFClose
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUFClose", _BallanceHUFClose, value)
        End Set
    End Property
End Class
